{% extends 'base.html' %}

{% block content_full %}

    <div class="page-header d-flex align-items-center category-page">
        <div class="pt-2 pb-2">
            <h1>{{ category.name }}</h1>
        </div>
    </div>
{% endblock %}

{% block content %}
<!--list of post based on the category id-->
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="post-list-container">
            {% if posts %}
                {% for post in posts %}
                <div class="post-list--item mt-2">
                    <div class="card">
                        <div class="card-body">
                            <div class="container">
                            <div class="row d-flex align-items-center">
                                <div class="col-md-5">
                                    <div class="post-item-image pr-4">
                                        <img src="{{ post.image_url.url }}" alt="">
                                    </div>
                                </div>
                                <div class="col-md-7">
                                    <a href="{{ post.get_absolute_url }}"><h6 class="bol-text">{{ post.title }}</h6></a>
                                    <p class="pt-2 pb-2 text-primary">
                                        {% if post.company %}
                                            <a href="{% url 'companies' %}{{ post.company.slug }}"><span class="highlight">{{ post.company }}</span></a>
                                        {% elif post.service_provider %}
                                            <a href="{% url 'companies' %}{{ post.service_provider.slug }}">
                                                <span class="highlight">{{ post.service_provider }}</span>
                                            </a>
                                        {% elif post.ngo_or_npo %}
                                        <a href="{% url 'ngo-npo' %}{{ post.ngo_or_npo.slug }}"><span class="highlight">{{ post.ngo_or_npo }}</span></a>
                                        {% else %}
                                            <span class="icon-tag"><i class="fas fa-user"></i></span> {{ post.author }}
                                        {% endif %}
                                        <span class="icon-tag"><i class="fas fa-calendar-alt"></i></span> {{ post.date_posted }}
                                    </p>
                                    <p class="text-muted pr-2">{{ post.expect|truncatewords:30 }}</p>
                                    <a href="{{ post.get_absolute_url }}" class="btn btn-primary mt-2">read more</a>
                                </div>
                            </div>

                            </div>
                        </div>
                    </div>

                </div>
                {% endfor %}
            {% else %}
                <h5 class="pt-3">Please select a category</h5>
            {% endif %}
        </div>
            </div>

        </div>

    </div>
{% endblock %}
{% block sidebar %}
    {% include 'includes/sidebar.html' %}
{% endblock %}
